%global momorel 5
%global date 20080622
%global moz_plugindir %{_libdir}/mozilla/plugins
%global gecko_ver 1.9

Summary: Embedded Video Player for Mozilla
Name: mplayerplug-in
Version: 3.50
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
URL: http://mplayerplug-in.sourceforge.net/
Source0: %{name}-daily.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: mozilla-filesystem
Requires: gtk2
Requires: mplayer
BuildRequires: gecko-devel >= %{gecko_ver}
BuildRequires: gtk2-devel

%description
mplayerplug-in is a Mozilla browser plugin to allow playing embedded movies
on web pages.

%prep
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%setup -q -n %{name}

%build
%configure --enable-gtk2 \
	   --disable-gtk1 \
	   --enable-wmp \
	   --enable-qt \
	   --enable-rm \
	   --enable-gmp \
	   --enable-dvx
make

%install
install -d %{buildroot}/%{moz_plugindir}
install -d %{buildroot}/%{_libdir}/mozilla/components/
install mplayerplug-in*.so %{buildroot}/%{moz_plugindir}
install mplayerplug-in*.xpt %{buildroot}/%{_libdir}/mozilla/components/
%__mkdir_p %{buildroot}%{_sysconfdir}
install -m 644 mplayerplug-in.conf %{buildroot}%{_sysconfdir}
install -m 644 mplayerplug-in.types %{buildroot}%{_sysconfdir}
pushd po
%makeinstall DESTDIR=%{buildroot}
popd

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE README TODO DOCS/tech/*.txt
%config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%config(noreplace) %{_sysconfdir}/mplayerplug-in.types
%{moz_plugindir}/mplayerplug-in*.so
%{_libdir}/mozilla/components/mplayerplug-in*.xpt
%{_datadir}/locale/*/LC_MESSAGES/mplayerplug-in.mo

%changelog
* Mon Jun 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.50-5m)
- add Requires: mozilla-filesystem

* Sun Jun 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.50-4m)
- use mplayerplug-in-daily.tar.gz for xulrunner
- back to the trunk

* Mon Apr 28 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.50-3m)
- rebuild against firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.50-2m)
- rebuild against gcc43

* Mon Mar 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.50-1m)
- update to 3.50

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.45-3m)
- %%NoSource -> NoSource

* Sun Aug 26 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.45-2m)
- install config files
- modify configure options

* Sun Aug 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.45-1m)
- update to 3.45

* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.40-2m)
- add Requires for firefox

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.40-1m)
- update to 3.40

* Sun Jan 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.35-1m)
- update to 3.35

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.31-2m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Sun Sep  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.31-1m)
- update to 3.31

* Sat Jul  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.25-1m)
- Initial build for Momonga Linux 3
